From 170d8be2a72939cea2c4216e05483cb7783998d4 Mon Sep 17 00:00:00 2001
From: Peter Colberg <peter@colberg.org>
Date: Sat, 19 Nov 2016 15:06:09 -0500
Subject: [PATCH] Move debhelper add-on to separate package dh-apache2

Closes: #845033
---
 debian/apache2-dev.install     |  5 -----
 debian/apache2-dev.manpages    |  1 -
 debian/control                 | 27 +++++++++++++++++++--------
 debian/debhelper/dh_apache2.in |  4 ++--
 debian/dh-apache2.install      |  5 +++++
 debian/dh-apache2.manpages     |  1 +
 6 files changed, 27 insertions(+), 16 deletions(-)
 create mode 100644 debian/dh-apache2.install
 create mode 100644 debian/dh-apache2.manpages

diff --git a/debian/apache2-dev.install b/debian/apache2-dev.install
index eacb880..f5d2707 100644
--- a/debian/apache2-dev.install
+++ b/debian/apache2-dev.install
@@ -1,8 +1,3 @@
 /usr/include/apache2
 /usr/share/apache2/build
 /usr/bin/apxs
-debian/debhelper/dh_apache2		/usr/bin
-debian/debhelper/apache2.pm		/usr/share/perl5/Debian/Debhelper/Sequence/
-debian/debhelper/postinst-apache2	/usr/share/debhelper/autoscripts/
-debian/debhelper/prerm-apache2		/usr/share/debhelper/autoscripts/
-debian/debhelper/postrm-apache2		/usr/share/debhelper/autoscripts/
diff --git a/debian/apache2-dev.manpages b/debian/apache2-dev.manpages
index a177177..a626a72 100644
--- a/debian/apache2-dev.manpages
+++ b/debian/apache2-dev.manpages
@@ -1,3 +1,2 @@
 debian/tmp/usr/share/man/man1/apxs.1
 debian/manpages/apxs2.1
-debian/manpages/dh_apache2.1
diff --git a/debian/control b/debian/control
index d029451..523bb7f 100644
--- a/debian/control
+++ b/debian/control
@@ -122,8 +122,7 @@ Package: apache2-dev
 Architecture: any
 Depends: ${misc:Depends}, openssl,
  libapr1-dev, libaprutil1-dev, libssl1.0-dev | libssl-dev (<< 1.1),
- debhelper (>= 9), ${perl:Depends}
-Provides: dh-apache2
+ dh-apache2
 Description: Apache HTTP Server (development headers)
  The Apache HTTP Server Project's goal is to build a secure, efficient and
  extensible HTTP server as standards-compliant open source software. The
@@ -132,12 +131,6 @@ Description: Apache HTTP Server (development headers)
  This package provides development headers and the apxs2 binary for the Apache
  2 HTTP server, useful to develop and link third party additions to the Debian
  Apache HTTP server package.
- .
- It also provides dh_apache2 and dh sequence addons useful to install various
- Debian Apache2 extensions with debhelper. It supports
-  - Apache 2 module configurations and shared objects
-  - Site configuration files
-  - Global configuration files
 
 Package: apache2-dbg
 Section: debug
@@ -152,3 +145,21 @@ Description: Apache debugging symbols
  This package includes the debugging symbols. It can be used to debug
  crashing server instances and modules.  See
  /usr/share/doc/apache2/README.backtrace for more information.
+
+Package: dh-apache2
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, debhelper (>= 9), ${perl:Depends}
+Recommends: apache2-dev
+Breaks: apache2-dev (<< 2.4.23-8~)
+Replaces: apache2-dev (<< 2.4.23-8~)
+Description: Apache HTTP Server (development headers)
+ The Apache HTTP Server Project's goal is to build a secure, efficient and
+ extensible HTTP server as standards-compliant open source software. The
+ result has long been the number one web server on the Internet.
+ .
+ This package provides dh_apache2 and dh sequence addons useful to install
+ various Debian Apache2 extensions with debhelper. It supports
+  - Apache 2 module configurations and shared objects
+  - Site configuration files
+  - Global configuration files
diff --git a/debian/debhelper/dh_apache2.in b/debian/debhelper/dh_apache2.in
index 3652d07..503bacc 100755
--- a/debian/debhelper/dh_apache2.in
+++ b/debian/debhelper/dh_apache2.in
@@ -125,8 +125,8 @@ path in the file system. Use with caution.
 =head1 INVOCATION
 
 B<dh_apache2> is not part of debhelper and might require information available
-in the apache2-dev package. Packages making use of B<dh_apache2> should declare
-a build-dependency against the virtual B<dh-apache2> package.
+in the apache2-dev package. Packages making use of B<dh_apache2> must declare
+a build-dependency against the B<dh-apache2> package.
 
 B<dh_apache2> supports both, called directly from a debian/rules file or as
 L<dh(1)> addon. In the former case the helper should run after L<dh_install(1)>
diff --git a/debian/dh-apache2.install b/debian/dh-apache2.install
new file mode 100644
index 0000000..3d4eea6
--- /dev/null
+++ b/debian/dh-apache2.install
@@ -0,0 +1,5 @@
+debian/debhelper/dh_apache2		/usr/bin
+debian/debhelper/apache2.pm		/usr/share/perl5/Debian/Debhelper/Sequence/
+debian/debhelper/postinst-apache2	/usr/share/debhelper/autoscripts/
+debian/debhelper/prerm-apache2		/usr/share/debhelper/autoscripts/
+debian/debhelper/postrm-apache2		/usr/share/debhelper/autoscripts/
diff --git a/debian/dh-apache2.manpages b/debian/dh-apache2.manpages
new file mode 100644
index 0000000..50d1a54
--- /dev/null
+++ b/debian/dh-apache2.manpages
@@ -0,0 +1 @@
+debian/manpages/dh_apache2.1
-- 
2.10.2

